#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ppp
Version		:	2.5.2
Release		:	17.2.106.rel%{?dist}
Summary		:	The Point-to-Point Protocol daemon

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and LGPLv2+ and GPLv2+ and Public Domain
URL		:	http://www.samba.org/ppp

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	libpcap-devel
BuildRequires	:	libcap-devel
BuildRequires	:	linux-headers
BuildRequires	:	openssl-devel

#-----------------------------------------------------------------------------
%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon and
documentation for PPP support. The PPP protocol provides a method for
transmitting datagrams over serial point-to-point links. PPP is
usually used to dial in to an ISP (Internet Service Provider) or other
organization over a modem and phone line.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README README.cbcp README.linux
%doc README.MPPE README.MSCHAP80 README.MSCHAP81 README.pwfd
%doc README.pppoe scripts README.eap-tls
%{_sysconfdir}/%{name}/chap-secrets.example
%{_sysconfdir}/%{name}/eaptls-client.example
%{_sysconfdir}/%{name}/eaptls-server.example
%{_sysconfdir}/%{name}/options.example
%{_sysconfdir}/%{name}/openssl.cnf.example
%{_sysconfdir}/%{name}/pap-secrets.example
%{_sbindir}/chat
%{_sbindir}/%{name}d
%{_sbindir}/%{name}dump
%{_sbindir}/pppoe-discovery
%{_sbindir}/pppstats
%{_libdir}/%{name}d/%{version}/minconn.so
%{_libdir}/%{name}d/%{version}/openl2tp.so
%{_libdir}/%{name}d/%{version}/passwordfd.so
%{_libdir}/%{name}d/%{version}/pppoatm.so
%{_libdir}/%{name}d/%{version}/pppoe.so
%{_libdir}/%{name}d/%{version}/pppol2tp.so
%{_libdir}/%{name}d/%{version}/winbind.so
%{_mandir}/man8/chat.8.gz
%{_mandir}/man8/%{name}d.8.gz
%{_mandir}/man8/%{name}dump.8.gz
%{_mandir}/man8/%{name}d-radattr.8.gz
%{_mandir}/man8/%{name}oe-discovery.8.gz
%{_mandir}/man8/%{name}stats.8.gz


#=============================================================================
%package		devel
Summary		:       Headers for ppp plugin development

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the header files for building plugins for ppp.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root, 0755)
%{_includedir}/%{name}d/*.h
%{_libdir}/pkgconfig/%{name}d.pc

#=============================================================================
%package		radius
Summary		:       Radius plugins component

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		radius
Allow '%{name}' to be connect to a radius server.

#-----------------------------------------------------------------------------
%files			radius
%defattr(-,root,root)
%doc PLUGINS
%{_sysconfdir}/radiusclient/dictionary*
%{_sysconfdir}/radiusclient/issue
%{_sysconfdir}/radiusclient/port-id-map
%config(noreplace) %{_sysconfdir}/radiusclient/radiusclient.conf
%{_sysconfdir}/radiusclient/realms
%{_sysconfdir}/radiusclient/servers
%{_libdir}/%{name}d/%{version}/radius.so
%{_libdir}/%{name}d/%{version}/radattr.so
%{_libdir}/%{name}d/%{version}/radrealms.so
%{_mandir}/man8/%{name}d-radius.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf	-vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--localstatedir=%{_var}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--enable-multilink				\
	--enable-cbcp					\
	--with-logfile-dir=%{_var}/log			\
        --with-runtime-dir=%{_var}/run/%{name} 		\
	--with-pam					\
	--disable-systemd				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install						\

#to install plugings components
%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/radiusclient/	\

sed 							\
  -e "s:@pkgsysconfdir@:/etc/radiusclient:"		\
  -e "s:@sbindir@:%{_sbindir}:"				\
  pppd/plugins/radius/etc/radiusclient.conf.in		\
  > radiusclient.conf
%{__cp} -a						\
	radiusclient.conf				\
	pppd/plugins/radius/etc/dictionary*		\
	pppd/plugins/radius/etc/issue			\
	pppd/plugins/radius/etc/port-id-map		\
	pppd/plugins/radius/etc/realms			\
	pppd/plugins/radius/etc/servers			\
	%{buildroot}%{_sysconfdir}/radiusclient/	\



#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
